com.smartgwt.client.types

## Enum LineCap

- java.lang.Object
- - java.lang.Enum<LineCap>
  - - com.smartgwt.client.types.LineCap

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LineCap>

      public enum LineCap
      extends java.lang.Enum<LineCap>
      implements ValueEnum

  Supported styles of drawing the endpoints of a line

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUTT` Square endpoint, stops exactly at the line's end coordinates instead of extending 1/2 lineWidth further as "round" and "square" do
    `ROUND` Semicircular rounding
    `SQUARE` Squared-off endpoint

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LineCap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LineCap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROUND

          public static final LineCap ROUND

      Semicircular rounding

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "round".

    - #### SQUARE

          public static final LineCap SQUARE

      Squared-off endpoint

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "square".

    - #### BUTT

          public static final LineCap BUTT

      Square endpoint, stops exactly at the line's end coordinates instead of extending 1/2 lineWidth further as "round" and "square" do

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "butt".

  - ### Method Detail

    - #### values

          public static LineCap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineCap c : LineCap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineCap valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`